## samba-3.0alpha20.tar.gz

=== examples/pdb/Makefile ===
# Makefile for samba-pdb examples
# Variables

CC = gcc
LIBTOOL = libtool

SAMBA_SRC = ../../source
SAMBA_INCL = ../../source/include
UBIQX_SRC = ../../source/ubiqx
SMBWR_SRC = ../../source/smbwrapper
CFLAGS = -I$(SAMBA_SRC) -I$(SAMBA_INCL) -I$(UBIQX_SRC) -I$(SMBWR_SRC) -Wall -g
PDB_OBJS = pdb_test.so

# Default target

default: $(PDB_OBJS)

# Pattern rules

%.so: %.lo
	$(LIBTOOL) $(CC) -shared -o $@ $< $(LDFLAGS)

%.lo: %.c
	$(LIBTOOL) $(CC) $(CPPFLAGS) $(CFLAGS) -c $<

# Misc targets

clean:
	rm -rf .libs
	rm -f core *~ *% *.bak \
		$(PDB_OBJS) $(PDB_OBJS:.so=.o) $(PDB_OBJS:.so=.lo)

=== testsuite/libsmbclient/src/Makefile ===
CC	=	gcc
CFLAGS	=	-Wall -W -O2 -g
LFLAGS	=	-L/root/samba-head-old/source/bin

LIBS=	-L/usr/lib -lsmbclient
INCPATH= -I. -I/usr/include -I./include
BIN_DIR=bin

SUB_DIRS=init fstat open unlink chown close opendir closedir rename lseek lseekdir stat \
		getdents creat read readdir mkdir rmdir write chmod open_print_job list_print_jobs \
		print_file telldir unlink_print_job


G_INIT		=	$(BIN_DIR)/init_1 \
			$(BIN_DIR)/init_2 \
			$(BIN_DIR)/init_3 \
			$(BIN_DIR)/init_4 

G_FSTAT		= 	$(BIN_DIR)/fstat_1 \
			$(BIN_DIR)/fstat_2 \
			$(BIN_DIR)/fstat_3 \
			$(BIN_DIR)/fstat_4 \
			$(BIN_DIR)/fstat_5 \
			$(BIN_DIR)/fstat_6

G_OPEN		= 	$(BIN_DIR)/open_1 \
			$(BIN_DIR)/open_2 \
			$(BIN_DIR)/open_3 \
			$(BIN_DIR)/open_4 \
			$(BIN_DIR)/open_5

G_UNLINK	= 	$(BIN_DIR)/unlink_1  \
			$(BIN_DIR)/unlink_2  \
			$(BIN_DIR)/unlink_3  \
			$(BIN_DIR)/unlink_4  \
			$(BIN_DIR)/unlink_5  \
			$(BIN_DIR)/unlink_6  \
			$(BIN_DIR)/unlink_7  \
			$(BIN_DIR)/unlink_8  \
			$(BIN_DIR)/unlink_9  \
			$(BIN_DIR)/unlink_10 \
			$(BIN_DIR)/unlink_11 \
			$(BIN_DIR)/unlink_12


G_CLOSE		= 	$(BIN_DIR)/close_1 \
			$(BIN_DIR)/close_2

G_OPENDIR	= 	$(BIN_DIR)/opendir_1 \
			$(BIN_DIR)/opendir_2 \
			$(BIN_DIR)/opendir_3 \
			$(BIN_DIR)/opendir_4 

G_CLOSEDIR	= 	$(BIN_DIR)/closedir_1 \
			$(BIN_DIR)/closedir_2 \
			$(BIN_DIR)/closedir_3 \
			$(BIN_DIR)/closedir_4 

G_RENAME	= 	$(BIN_DIR)/rename_1 \
			$(BIN_DIR)/rename_2 \
			$(BIN_DIR)/rename_3 \
			$(BIN_DIR)/rename_4 \
			$(BIN_DIR)/rename_5 \
			$(BIN_DIR)/rename_6 \
			$(BIN_DIR)/rename_7 \
			$(BIN_DIR)/rename_8 \
			$(BIN_DIR)/rename_9 \
			$(BIN_DIR)/rename_10 \
			$(BIN_DIR)/rename_11 \
			$(BIN_DIR)/rename_12 \
			$(BIN_DIR)/rename_13 \
			$(BIN_DIR)/rename_14

G_LSEEK		= 	$(BIN_DIR)/lseek_1 \
			$(BIN_DIR)/lseek_2 \
			$(BIN_DIR)/lseek_3 \
			$(BIN_DIR)/lseek_4 \
			$(BIN_DIR)/lseek_5 \
			$(BIN_DIR)/lseek_6 \
			$(BIN_DIR)/lseek_7 \
			$(BIN_DIR)/lseek_8

G_LSEEKDIR	= 	$(BIN_DIR)/lseekdir_1 \
			$(BIN_DIR)/lseekdir_2 \
			$(BIN_DIR)/lseekdir_3 \
			$(BIN_DIR)/lseekdir_4 \
			$(BIN_DIR)/lseekdir_5 \
			$(BIN_DIR)/lseekdir_6

G_STAT		= 	$(BIN_DIR)/stat_1 \
			$(BIN_DIR)/stat_2 \
			$(BIN_DIR)/stat_3 \
			$(BIN_DIR)/stat_4 \
			$(BIN_DIR)/stat_5 \
			$(BIN_DIR)/stat_6

G_GETDENTS	= 	$(BIN_DIR)/getdents_1 \
			$(BIN_DIR)/getdents_2 \
			$(BIN_DIR)/getdents_3 \
			$(BIN_DIR)/getdents_4 \
			$(BIN_DIR)/getdents_5 

G_CREAT		= 	$(BIN_DIR)/creat_1 \
			$(BIN_DIR)/creat_2 \
			$(BIN_DIR)/creat_3

G_READ		= 	$(BIN_DIR)/read_1 \
			$(BIN_DIR)/read_2 \
			$(BIN_DIR)/read_3 \
			$(BIN_DIR)/read_4 \
			$(BIN_DIR)/read_5 \
			$(BIN_DIR)/read_6 \
			$(BIN_DIR)/read_7 \
			$(BIN_DIR)/read_8 \
			$(BIN_DIR)/read_9 \
			$(BIN_DIR)/read_10 \
			$(BIN_DIR)/read_11 \
			$(BIN_DIR)/read_12 \
			$(BIN_DIR)/read_13

G_MKDIR		= 	$(BIN_DIR)/mkdir_1 \
			$(BIN_DIR)/mkdir_2 \
			$(BIN_DIR)/mkdir_3 \
			$(BIN_DIR)/mkdir_4

G_RMDIR		= 	$(BIN_DIR)/rmdir_1 \
			$(BIN_DIR)/rmdir_2 \
			$(BIN_DIR)/rmdir_3 \
			$(BIN_DIR)/rmdir_4 \
			$(BIN_DIR)/rmdir_5 \
			$(BIN_DIR)/rmdir_6 

G_READDIR	=	$(BIN_DIR)/readdir_1 \
			$(BIN_DIR)/readdir_2 \
			$(BIN_DIR)/readdir_3 \
			$(BIN_DIR)/readdir_4 \
			$(BIN_DIR)/readdir_5 

G_WRITE		= 	$(BIN_DIR)/write_1 \
			$(BIN_DIR)/write_2 \
			$(BIN_DIR)/write_3 \
			$(BIN_DIR)/write_4 \
			$(BIN_DIR)/write_5 \
			$(BIN_DIR)/write_6 \
			$(BIN_DIR)/write_7 \
			$(BIN_DIR)/write_8 \
			$(BIN_DIR)/write_9 \
			$(BIN_DIR)/write_10 \
			$(BIN_DIR)/write_11 \
			$(BIN_DIR)/write_12 \
			$(BIN_DIR)/write_13 

G_TELLDIR	= 	$(BIN_DIR)/telldir_1 \
			$(BIN_DIR)/telldir_2 \
			$(BIN_DIR)/telldir_3 \
			$(BIN_DIR)/telldir_4 \
			$(BIN_DIR)/telldir_5

G_CHMOD		= 	$(BIN_DIR)/chmod_1

G_CHOWN		= 	$(BIN_DIR)/chown_1

G_PRINT_FILE	=	$(BIN_DIR)/print_file_1 \
			$(BIN_DIR)/print_file_2 \
			$(BIN_DIR)/print_file_3 \
			$(BIN_DIR)/print_file_4

G_OPEN_PRINT_JOB	=	$(BIN_DIR)/open_print_job_1 \
				$(BIN_DIR)/open_print_job_2

G_LIST_PRINT_JOBS	=	$(BIN_DIR)/list_print_jobs_1 \
				$(BIN_DIR)/list_print_jobs_2 \
				$(BIN_DIR)/list_print_jobs_3 \
				$(BIN_DIR)/list_print_jobs_4 \
				$(BIN_DIR)/list_print_jobs_5 \
				$(BIN_DIR)/list_print_jobs_6 \
				$(BIN_DIR)/list_print_jobs_7 

G_UNLINK_PRINT_JOB	=	$(BIN_DIR)/unlink_print_job_1 \
				$(BIN_DIR)/unlink_print_job_2 \
				$(BIN_DIR)/unlink_print_job_3 \
				$(BIN_DIR)/unlink_print_job_4 \
				$(BIN_DIR)/unlink_print_job_5 

GROUPS=	$(G_CHMOD) $(G_CHOWN) $(G_CLOSE) $(G_CLOSEDIR) $(G_CREAT) $(G_FSTAT)\
	$(G_GETDENTS) $(G_INIT) $(G_LIST_PRINT_JOBS) $(G_LSEEK) $(G_LSEEKDIR) \
	$(G_MKDIR) $(G_OPEN) $(G_OPENDIR) $(G_OPEN_PRINT_JOB) $(G_PRINT_FILE)\
	$(G_READ) $(G_READDIR) $(G_RENAME) $(G_RMDIR) $(G_STAT) $(G_TELLDIR) $(G_UNLINK) \
	$(G_UNLINK_PRINT_JOB) $(G_WRITE)

.c.o:
	@echo Compiling $*.c
	@$(CC) -c $(CFLAGS) -o $@ $(INCPATH) $<


all:	$(GROUPS)	

init:			$(G_INIT)
fstat:			$(G_FSTAT)
open:			$(G_OPEN)
unlink:			$(G_UNLINK)
chown:			$(G_CHOWN)
close:			$(G_CLOSE)
opendir:		$(G_OPENDIR)
closedir:		$(G_CLOSEDIR)
rename:			$(G_RENAME)
readdir:		$(G_READDIR)
lseek:			$(G_LSEEK)
lseekdir:		$(G_LSEEKDIR)
stat:			$(G_STAT)
getdents:		$(G_GETDENTS)
creat:			$(G_CREAT)
read:			$(G_READ)
mkdir:			$(G_MKDIR)
rmdir:			$(G_RMDIR)
write:			$(G_WRITE)
chmod:			$(G_CHMOD)
telldir:		$(G_TELLDIR)
print_file:		$(G_PRINT_FILE)
open_print_job:		$(G_OPEN_PRINT_JOB)
list_print_jobs:	$(G_LIST_PRINT_JOBS)
unlink_print_job:	$(G_UNLINK_PRINT_JOB)


$(BIN_DIR)/testsmbc:	testsmbc.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ testsmbc.o $(INCPATH) $(LIBS)

$(BIN_DIR)/init_1:	init/init_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ init/init_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/init_2:	init/init_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ init/init_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/init_3:	init/init_3.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ init/init_3.o $(INCPATH) $(LIBS)

$(BIN_DIR)/init_4:	init/init_4.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ init/init_4.o $(INCPATH) $(LIBS)

$(BIN_DIR)/fstat_1:	fstat/fstat_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ fstat/fstat_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/fstat_2:	fstat/fstat_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ fstat/fstat_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/fstat_3:	fstat/fstat_3.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ fstat/fstat_3.o $(INCPATH) $(LIBS)

$(BIN_DIR)/fstat_4:	fstat/fstat_4.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ fstat/fstat_4.o $(INCPATH) $(LIBS)

$(BIN_DIR)/fstat_5:	fstat/fstat_5.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ fstat/fstat_5.o $(INCPATH) $(LIBS)

$(BIN_DIR)/fstat_6:	fstat/fstat_6.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ fstat/fstat_6.o $(INCPATH) $(LIBS)

$(BIN_DIR)/open_1:	open/open_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ open/open_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/open_2:	open/open_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ open/open_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/open_3:	open/open_3.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ open/open_3.o $(INCPATH) $(LIBS)

$(BIN_DIR)/open_4:	open/open_4.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ open/open_4.o $(INCPATH) $(LIBS)

$(BIN_DIR)/open_5:	open/open_5.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ open/open_5.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_1:	unlink/unlink_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_2:	unlink/unlink_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_3:	unlink/unlink_3.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_3.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_4:	unlink/unlink_4.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_4.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_5:	unlink/unlink_5.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_5.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_6:	unlink/unlink_6.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_6.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_7:	unlink/unlink_7.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_7.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_8:	unlink/unlink_8.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_8.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_9:	unlink/unlink_9.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_9.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_10:	unlink/unlink_10.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_10.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_11:	unlink/unlink_11.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_11.o $(INCPATH) $(LIBS)

$(BIN_DIR)/unlink_12:	unlink/unlink_12.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ unlink/unlink_12.o $(INCPATH) $(LIBS)

$(BIN_DIR)/chown_1:	chown/chown_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ chown/chown_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/close_1:	close/close_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ close/close_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/close_2:	close/close_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ close/close_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/opendir_1:	opendir/opendir_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ opendir/opendir_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/opendir_2:	opendir/opendir_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ opendir/opendir_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/opendir_3:	opendir/opendir_3.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ opendir/opendir_3.o $(INCPATH) $(LIBS)

$(BIN_DIR)/opendir_4:	opendir/opendir_4.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ opendir/opendir_4.o $(INCPATH) $(LIBS)

$(BIN_DIR)/closedir_1:	closedir/closedir_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ closedir/closedir_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/closedir_2:	closedir/closedir_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ closedir/closedir_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/closedir_3:	closedir/closedir_3.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ closedir/closedir_3.o $(INCPATH) $(LIBS)

$(BIN_DIR)/closedir_4:	closedir/closedir_4.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ closedir/closedir_4.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_1:	rename/rename_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_2:	rename/rename_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_3:	rename/rename_3.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_3.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_4:	rename/rename_4.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_4.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_5:	rename/rename_5.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_5.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_6:	rename/rename_6.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_6.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_7:	rename/rename_7.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_7.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_8:	rename/rename_8.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_8.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_9:	rename/rename_9.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_9.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_10:	rename/rename_10.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_10.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_11:	rename/rename_11.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_11.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_12:	rename/rename_12.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_12.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_13:	rename/rename_13.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_13.o $(INCPATH) $(LIBS)

$(BIN_DIR)/rename_14:	rename/rename_14.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ rename/rename_14.o $(INCPATH) $(LIBS)

$(BIN_DIR)/lseek_1:	lseek/lseek_1.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ lseek/lseek_1.o $(INCPATH) $(LIBS)

$(BIN_DIR)/lseek_2:	lseek/lseek_2.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ lseek/lseek_2.o $(INCPATH) $(LIBS)

$(BIN_DIR)/lseek_3:	lseek/lseek_3.o
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ lseek/lseek_3.o $(INCPATH) $(LIBS)

=== packaging/Debian/debian/changelog ===
samba (2.2.2.cvs20020201-1) unstable; urgency=low

  * Getting ready for Samba 2.2.3.
  * Using a poor's man build system to keep our patches to upstream
    under the debian/ directory.

 -- Eloy A. Paris <peloy@debian.org>  Fri,  1 Feb 2002 16:10:58 -0500

samba (2.2.2-12) unstable; urgency=high

  * (Steve) Patch for source/client/client.c.
    Closes: #86438 smbclient: Transfering several GB causes the average
            speed to be messed up.
  * Uploading with urgency=high to expedite the move from unstable
    to testing because of the security problem fixed in -11.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 25 Jan 2002 22:31:12 -0500

samba (2.2.2-11) unstable; urgency=low

  * Building with --with-libsmbclient. We have created two new
    packages: libsmbclient and libsmbclient-dev. Hopefully this
    will help some people that want to add the capability of
    speaking SMB to their applications.
    Closes: #117132 - libsmbclient support library?
  * (Steve) Make swat do the right thing when reading (parsing)
    the saved preferences in smb.conf.
    Closes: #55617 swat mutilates the linpopup message command.
  * Updated README.Debian. Updated descriptions in debian/control.
  * Remembered to bump up version number in source/include/version.h
    (need to automate this or else I'll keep forgetting.)
  * (Steve) one liner for source/web/diagnose.c.
    Closes: #106976 - smbd/nmbd not running message with swat/linuxconf.
  * Added '|| true' to the post-rotate script so logrotate doesn't
    fail if either nmbd or smbd is not running.
    Closes: #127897 - /etc/logrotate.d/samba fails if there is no smbd process.
  * Fixed incorrect file locations in swat's man page and added a
    Debian-specific note to /usr/share/doc/swat/README.
    Closes: #71586 swat: needs documentation fixes for debian.
  * smbmount in the smbfs package does not have the setuid bit set.
    Apparently, smbmount uses libsmb without checking the environment.
    Thanks to Christian Jaeger <christian.jaeger@sl.ethz.ch> for
    finding the local root exploit.
  * Applied old patch from Jerry) Carter" <jerry@samba.org> to correct
    the following two problems in Samba 2.2.2:
    - %U and %G could not be used in services names
      in smb.conf.
    - %G would fail to be expanded in an "include = ..."
      line.

 -- Eloy A. Paris <peloy@debian.org>  Sat, 19 Jan 2002 21:35:26 -0500

samba (2.2.2-10) unstable; urgency=low

  * (Steve) Add missing manual pages.
    Closes: Bug#128928: missing manpages in smbfs.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 13 Jan 2002 14:39:55 -0500

samba (2.2.2-9) unstable; urgency=low

  * (Steve) Fix broken URL's in HTML docs.
    Closes: Bug#17741: bad links in html docs (at last!!!)

 -- Eloy A. Paris <peloy@debian.org>  Fri, 11 Jan 2002 13:37:07 -0500

samba (2.2.2-8) unstable; urgency=low

  * Added "Replaces: samba (<= 2.2.2-5)" to the smbclient section in
    debian/control so rpcclient.1, which was in samba-2.2.2-5, does not
    cause problems now that it is part of smbclient (>= 2.2.2-6).  Closes:
    Closes: Bug#128684: error upgrading smbclient in sid.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 11 Jan 2002 11:42:40 -0500

samba (2.2.2-7) unstable; urgency=low

  * (Steve) Patch to make behavior honor what the docs. say about "hosts allow"
    taking precedence over "hosts deny".
    Closes: Bug#49249: swat: error with host deny ?!

 -- Eloy A. Paris <peloy@debian.org>  Thu, 10 Jan 2002 12:36:58 -0500

samba (2.2.2-6) unstable; urgency=low

  * (Steve) Adds manpage for rpcclient to the proper file,
    removes smbtorture from the distro because this tool isn't intended for
    widespread consumption.
    Closes: #63057 - no manual page for smbtorture.
  * (Steve) Removed -gnu from the configure arguments (--build, --host) in
    debian/rules so config.sub is able to properly create the host and target
    tuples.

 -- Eloy A. Paris <peloy@debian.org>  Wed,  9 Jan 2002 14:39:51 -0500

samba (2.2.2-5) unstable; urgency=low

  * Fixes from vorlon:
  * Use /usr/bin/pager instead of more.
    Closes: #125603: smbclient violates pager policy.
  * Make /etc/logrotate.d/samba a conffile, send smbd and nmbd
    a SIGHUP to have the log files reopened, fixes to
    /etc/logrotate.d/samba.
    Closes: #127897: log file rotation.
    Closes: #118277: /etc/logrotate.d/samba not listed in conffiles.
  * s/covert/convert/.
    Closes: #121653 probable typo in install message.

 -- Eloy A. Paris <peloy@debian.org>  Sun,  6 Jan 2002 03:14:58 -0500

samba (2.2.2-4) unstable; urgency=low

  * Applied patch from Steve to work around problem in glibc that affects the
    HPPA architecure. The patch detects the error condition at configure time
    and compiles without LFS support if necessary.
    Closes: Bug#126763: samba completely broken on hppa.
  * Including unicode_map.1251.
    Closes: Bug#126719: samba-common: unicode_map.1251 missing.
  * Updated smbd daemon version to match Debian package version.
    Closes: Bug#127199: Package version and smbd daemon version don't match.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 31 Dec 2001 14:32:47 -0500

samba (2.2.2-3) unstable; urgency=low

  * Added some spaces in package description in debian/control.
    Closes: #120730 - missing spaces in package description for nice
            alignment.
  * Spelling fixes.
    Closes: #125328, #125329, #125330, #125367, #125365, #125403.
  * Steve Langasek <vorlon@debian.org> is the co-maintainer of the Debian
    Samba packages!!! Added him to the uploaders field in debian/control.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 18 Dec 2001 00:54:25 -0500

samba (2.2.2-2) unstable; urgency=low

  * Backed out changes to source/filename.c per Andrew Tridgell's request.
    This changes were introduced in 2.2.1a-7 as an attempt to fix #47493.
    Tridge found out that they break smbd.
  * Changed version number in source/includes/version.h so it is clear that


=== packaging/Debian/debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Eloy A. Paris <peloy@debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>=2.0.103), libpam0g-dev, libreadline4-dev, libcupsys2-dev
Standards-Version: 3.1.1

Package: samba
Architecture: any
Depends: samba-common (= ${Source-Version}), netbase, logrotate, ${shlibs:Depends}
Replaces: samba-common (<= 2.0.5a-2)
Suggests: samba-doc
Description: A LanManager like file and printer server for Unix.
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the components necessary to turn your
 Debian GNU/Linux box into a powerful file and printer server.
 .
 As of Samba 2.2.1a-3, the Samba Debian packages consist of the following:
 .
  samba - A LanManager like file and printer server for Unix.
  samba-common - Samba common files used by both the server and the client.
  smbclient - A LanManager like simple client for Unix.
  swat - Samba Web Administration Tool
  samba-doc - Samba documentation.
  smbfs - Mount and umount commands for the smbfs (kernels 2.0.x and above).
  libpam-smbpass - pluggable authentication module for SMB password database
  libsmbclient - Shared library that allows applications to talk to SMB servers
  libsmbclient-dev - libsmbclient shared libraries

Package: samba-common
Architecture: any
Depends: libpam-modules, ${shlibs:Depends}
Replaces: samba (<= 2.0.5a-2)
Description: Samba common files used by both the server and the client.
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the smbclient
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${Source-Version}), ${shlibs:Depends}
Replaces: samba (<= 2.2.2-5)
Provides: samba-client
Suggests: smbfs
Description: A LanManager like simple client for Unix.
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains some client components of the Samba suite. In
 particular it includes the command line utilities smbclient, smbtar,
 and smbspool. If you want to mount shares exported from Microsoft
 Windows machines or a Samba server you must install the smbfs package.

Package: swat
Architecture: any
Depends: samba (= ${Source-Version}), ${shlibs:Depends}
Recommends: samba-doc
Description: Samba Web Administration Tool
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the components of the Samba suite that are needed
 for Web administration of the Samba server.

Package: samba-doc
Section: doc
Architecture: all
Description: Samba documentation.
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball.

Package: smbfs
Section: otherosfs
Priority: optional
Architecture: any
Depends: netbase (>= 2.02), samba-common (= ${Source-Version}), ${shlibs:Depends}
Suggests: smbclient
Replaces: smbfsx
Conflicts: smbfsx, suidmanager (<< 0.50)
Description: mount and umount commands for the smbfs (for kernels >= than 2.2.x)
 Smbfs is a filesystem which understands the SMB protocol.
 This is the protocol Windows for Workgroups, Windows NT or
 LAN Manager use to talk to each other. It was inspired by
 samba, the program by Andrew Tridgell that turns any unix
 site into a file server for DOS or Windows clients.
 .
 If you want to use command-line utilities like smbclient, smbtar
 and/or smbspool just need to install the smbclient package.
 .
 Starting with the Debian Samba packages version 2.2.0-1, the old smbfs
 utilities for 2.0.x have been removed. There are no wrapper scripts
 that call a specific smbmount/smbmount depending on the kernel version.
 If you are using a 2.0.x kernel please upgrade or use the latest Samba
 2.0.7 Debian package.

Package: libpam-smbpass
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Suggests: samba
Description: pluggable authentication module for SMB password database
 This is a stackable PAM module that allows a system administrator to easily
 migrate to using encrypted passwords for Samba and to keep smb passwords in
 sync with unix passwords.  Unlike other solutions, it does this without
 requiring users to change their existing passwords or login to Samba using
 cleartext passwords.

Package: libsmbclient
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared library that allows applications to talk to SMB servers
 libsmbclient allows to write applications that use the SMB protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient shared library.

Package: libsmbclient-dev
Section: devel
Priority: extra
Architecture: any
Depends: libsmbclient (= ${Source-Version}), ${shlibs:Depends}
Description: libsmbclient static libraries and headers
 libsmbclient allows to write applications that use the SMB protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient static libraries and headers
 needed to build applications that use SMB services.

=== packaging/Debian/debian/rules ===
#!/usr/bin/make -f
# 
# Important modifications (introduction of a saved config.cache to
#	solve build problems) we introduced in Samba 2.2.1a-5. These
#	modification were made by Steve Langasek <vorlon@netexpress.net>.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Set the host and build architectures for use with config.cache loading,
# cross-building, etc.
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_HOST_GNU_TYPE
export DEB_BUILD_GNU_TYPE

BVARS = SMBLOGFILE=/var/log/smb NMBLOGFILE=/var/log/nmb

DESTDIR=`pwd`/debian/samba
SWATDIR=`pwd`/debian/swat
SAMBABOOK=`pwd`/debian/swat

IVARS = BASEDIR=$(DESTDIR)/usr \
		BINDIR=$(DESTDIR)/usr/bin \
		SBINDIR=$(DESTDIR)/usr/sbin \
		MANDIR=$(DESTDIR)/usr/share/man \
		LIBDIR=$(DESTDIR)/etc/samba \
		VARDIR=$(DESTDIR)/var/state/samba \
		INCLUDEDIR=$(DESTDIR)/usr/include \
		SWATDIR=$(SWATDIR)/usr/share/samba/swat \
		SAMBABOOK=$(SAMBABOOK)/usr/share/samba/swat/using_samba \
		CODEPAGEDIR=$(DESTDIR)/usr/share/samba/codepages

patch: patch-stamp
patch-stamp:
	dh_testdir
	if [ ! -f patch-stamp ]; then debian/scripts/patch-source; fi
	touch patch-stamp

unpatch:
	dh_testdir
	if [ -f patch-stamp ]; then debian/scripts/unpatch-source; fi
	rm -f patch-stamp

configure: patch-stamp configure-stamp
configure-stamp:
	dh_testdir

	# Add here commands to configure the package.
# > 
# > Does the --with-fhs option work in configure? I tried it with
# > alpha3, but everything was stored in /usr/local. Is that correct?
# > ...
#
# Yes - the default prefix is still /usr/local; --with-fhs just
# changes the default paths for the config, etc. files to match
# the GNU/FHS specs.  To get a complete FHS directory spec, use:
#
#     ./configure --with-fhs --prefix=/usr --sysconfdir=/etc \
#        --localstatedir=/var

	if [ -f debian/config.cache ]; then \
		cp -f debian/config.cache source/config.cache; \
	fi

#	[ -f source/Makefile ] || (cd source && ./configure --with-fhs --prefix=/usr --exec-prefix=/usr --with-netatalk --with-smbmount --with-pam --with-syslog --with-sambabook --with-utmp)
	[ -f source/Makefile ] || (cd source && ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--with-fhs \
		--prefix=/usr \
		--sysconfdir=/etc \
		--with-privatedir=/etc/samba \
		--with-lockdir=/var/state/samba \
		--localstatedir=/var \
		--with-netatalk \
		--with-smbmount \
		--with-pam \
		--with-syslog \
		--with-sambabook \
		--with-utmp \
		--with-readline \
		--with-pam_smbpass \
		--with-libsmbclient)

	touch configure-stamp

build: patch-stamp configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Compile the Samba package first
#	$(MAKE) -C source $(BVARS) all smbtorture rpctorture debug2html
	$(MAKE) -C source all

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Clean first the Samba package
#	-$(MAKE) -C source realclean
#	-$(MAKE) -C source clean
	-$(MAKE) -C source distclean

	# Delete stuff left after a build that is not deleted by 'make clean'
	rm -f source/bin/wbinfo source/bin/winbindd source/bin/rpctorture \
		source/bin/debug2html

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -C source install $(IVARS)

	# libsmbclient is installed in usr/bin/. Move to usr/lib/.
	mv $(DESTDIR)/usr/bin/libsmbclient.so $(DESTDIR)/usr/lib/libsmbclient.so.0.1
	mv $(DESTDIR)/usr/bin/libsmbclient.a $(DESTDIR)/usr/lib/

	# This is to comply with policy (the symlink that ldconfig would 
	#	produce must exist in the package).
	/sbin/ldconfig -n $(DESTDIR)/usr/lib/

	# libsmbclient include file is not installed by standard
	#	'make install' - do it manually.
	$(MAKE) -C source installclientlib $(IVARS)

	# Install other stuff not installed by "make install"
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
	install -m 0755 debian/sambaconfig $(DESTDIR)/usr/sbin/
	install -m 0755 source/bin/pam_smbpass.so $(DESTDIR)/lib/security/

	# This is only temporary, while we create new packages for winbind and friends
	install -m 0644 source/nsswitch/libnss_winbind.so $(DESTDIR)/lib/libnss_winbind.so.2
	install -m 0644 source/nsswitch/pam_winbind.so $(DESTDIR)/lib/security/

	# Create the symlink that will allow us to do "mount -t smbfs ...".
	#	Create also a symlink that will allow "mount -t smb ..." to
	#	work too. The symlink is created in $(DESTDIR)/sbin/ but 
	#	will be moved by dh_movefiles to the smbfs package later on.
	ln -s /usr/bin/smbmount $(DESTDIR)/sbin/mount.smbfs
	ln -s /usr/bin/smbmount $(DESTDIR)/sbin/mount.smb
	ln -s smbmount.8 $(DESTDIR)/usr/share/man/man8/mount.smb.8
	ln -s smbmount.8 $(DESTDIR)/usr/share/man/man8/mount.smbfs.8

	# For CUPS to support printing to samba printers, it's necessary
	#	to make the following symlink (according to
	#	Erich Schubert <debian@vitavonni.de> in #109509):
	ln -s /usr/bin/smbspool $(DESTDIR)/usr/lib/cups/backend/smb

	# To avoid duplication of a large number of files, the swat package
	#	does not contain the "Using Samba" book nor the HTML docs.
	#	Instead, these are provided by the samba-doc package and
	#	are accessed through symlinks provided in the swat package.
	#	Here we create the symlink for the book, and the symlinks
	#	for the HTML files are created by the script installswat.sh.
	ln -s ../../../doc/samba-doc/htmldocs/using_samba $(SAMBABOOK)/usr/share/samba/swat/using_samba

	# Install man pages for files without man pages in the upstream sources
	install -m 0644 debian/sambaconfig.8 $(DESTDIR)/usr/share/man/man8/sambaconfig.8
	install -m 0644 debian/mksmbpasswd.8 $(DESTDIR)/usr/share/man/man8/mksmbpasswd.8

	# Delete unwanted stuff leftover from "make install"

	# The smbwrapper package is not being generated anymore, so we must
	#	delete the related man pages.
	rm $(DESTDIR)/usr/share/man/man1/smbsh.1

	# Install samba-common's conffiles - they'll get moved later to their
	#	correct place by dh_movefiles.
	cp debian/smb.conf $(DESTDIR)/etc/samba/
	cp debian/samba.pamd $(DESTDIR)/etc/pam.d/samba

	dh_movefiles --sourcedir=debian/samba/

	# Remove empty directories that will never be used.
	rmdir $(DESTDIR)/sbin

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs -A docs/textdocs/DIAGNOSIS.txt debian/README.build docs/README* docs/Samba-HOWTO-Collection.pdf
	# dh_installexamples is not available in Debian Potato...
	[ -x /usr/bin/dh_installexamples ] && dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs -A docs/textdocs/DIAGNOSIS.txt debian/README.build docs/README* docs/Samba-HOWTO-Collection.pdf
	# dh_installexamples is not available in Debian Potato...
	[ -x /usr/bin/dh_installexamples ] && dh_installexamples
#	dh_installmenu
	# dh_installlogrotate is not available in Debian Potato...
